it-swarm.com.de

plugin erneuern Erweiterte Suche

Ich verwende das Plugin für erweiterte Suche auf meiner Website. http://www.zirona.com/software/wordpress-advanced-search/ Ich aktualisiere die Website und die erweiterte Suche hat nicht funktioniert! :(

creator Plugin für WordPress 3 nicht aktualisiert Wie wird dieses Plugin für WordPress 3 aktualisiert?

ein ähnliches Plugin oder Code?

danke dir

1
reza

Wie Sie gefragt haben, haben Sie mehrere Möglichkeiten. Es kommt nur ein bisschen darauf an, wonach Sie suchen. Mal sehen, was sich im Warenkorb befindet:

  1. Aktualisieren Sie das Plugin. - Bitten Sie den Entwickler des Plugins, dies zu tun, oder machen Sie es selbst. Oft ist es die beste Wahl, den Entwickler zu fragen, weil er es bereits in- und auswendig weiß. Vielleicht möchten Sie dem Entwickler dabei eine Prämie anbieten. Ich meine, wenn Sie es erfolgreich auf Ihrer Website verwendet haben und Sie es mögen, überlegen Sie, was es für Sie wert ist. Wenn Sie nach dem besten Platz suchen, um Ihr Geld anzulegen, haben Sie es gefunden. Wenden Sie sich an den Entwickler des Plugins und besprechen Sie die Details des Problems. Es lohnt sich, freie Software zu kaufen. Selbst wenn ich freie Software kaufe, könnte ich sie auch erweitern. Es ist nur so, dass man nicht alles alleine machen kann und die meisten Entwickler freier Software sind sehr nett und handeln fair. Wenn Sie das noch nie gemacht haben, probieren Sie es aus. Es ist die Erfahrung wert.
  2. Aktualisiere das Plugin (2). - Wenn du aus irgendeinem Grund nicht mit dem ursprünglichen Entwickler Kontakt aufnehmen möchtest oder es dir nicht leisten kannst, musst du suchen jemand anderes, der das tut. Dies wären entweder Sie oder jemand anderes. In jedem Fall, da Sie das Plugin so lange verwendet haben, sollten Sie, wenn Sie ein Update für die aktuelle Version erhalten, so freundlich sein und es an den ursprünglichen Entwickler weitergeben. Wenn Sie der Meinung sind, dass dies ungerecht ist, da es jeder kostenlos bekommen könnte, sollten Sie andere finden, die das gleiche Problem haben wie Sie, und eine Finanzierung organisieren. Das geht sogar schnell genug und kann wirklich coole Ergebnisse bringen. Es ist nicht so, dass es so oft vorkommt, aber das Networking kann sehr effektiv sein.
  3. Schalten Sie das Plugin um - Wenn Sie sich am Ende der Straße befinden und nicht in der Lage sind, das Plugin zu aktualisieren, schließen Sie Folgendes ein: dass Sie es nicht selbst aktualisieren möchten (wahrscheinlich ist es einfach zu beheben? - Ich habe Nicht-Entwickler gesehen, die Software aktualisiert haben, dass es wieder funktioniert hat), dann müssen Sie nach einer Alternative suchen. Das Wechseln eines Plugins kann einfach sein oder viele Probleme bereiten. Es kommt nur darauf an. Ich muss zugeben, dass ich für Ihr Such-Plugin keine Ahnung habe. Da die kostenlose Software unverbindlich ist, müssen Sie sich nicht an ein Plugin halten.
  4. Herabstufen Ihrer Site - Ein weiser Mann hat einmal gesagt ... bla bla :) Okay, hier ist der Deal: Zerstören Sie Ihre Site einfach nicht, indem Sie sie blind aktualisieren auf die neueste Version. Wordpress 2.9 war eine ziemlich gute Version und es war nicht nur, es ist es immer noch. Bevor Sie Ihre Site aktualisieren, sollten Sie die Kompatibilität überprüfen, bevor Sie Ihre Live-Site aktualisieren. Dies kann durch Erstellen einer Kopie und Aktualisieren der Kopie als Test erfolgen. Das ist wahrscheinlich so kompliziert wie das Hacken eines Plugins, aber Sie können auch einen zweiten Blog einrichten und nur die Plugins testen. Das ist dann ein erster Schritt. Es ist nicht so, dass ältere Software per se schlechter ist. Normalerweise brauchen wir nicht immer das Neueste und Beste.

Ich denke, die ersten beiden Optionen können und müssen Sie selbst entscheiden. Für Punkt vier mag dies bereits zu spät sein, aber WordPress-Downgrades sind auch ziemlich gut.

Wahrscheinlich hilft es, hier Fragen zu stellen, um andere mit dem gleichen Problem zu finden. Welches könnte Ihnen beim Umschalten des Plugins auch helfen. Ich für mich kann dir nur diese Tipps geben, aber nicht viel mehr. Ich kann Ihnen kein alternatives Plugin vorschlagen, da ich weder weiß noch überprüft habe, warum es mit 3.0 nicht funktioniert. Normalerweise wäre das das erste, was ich getan habe, entweder um es dem ursprünglichen Autor zu melden oder um es einfach zu reparieren und es ebenfalls zu melden. Aber du bist frei in deiner Entscheidung.

1
hakre